osl::rating::SquareX Class Reference

`#include <square.h>`

Inheritance diagram for osl::rating::SquareX:

## Public Member Functions

| SquareX (int ix, Ptype ptype, bool drop)
bool | match (const NumEffectState &, Move move, const RatingEnv &) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Static Public Member Functions

static int | makeX (Move move)

## Static Private Member Functions

static const std::string | name (int x)
Static Private Member Functions inherited from osl::rating::DropPtype
static std::string | name (Ptype ptype, bool drop)
static int | index (Move move)

## Private Attributes

int | x
Private Attributes inherited from osl::rating::DropPtype
Ptype | ptype
bool | drop

## Additional Inherited Members

Private Types inherited from osl::rating::DropPtype
enum | { UNIT = PTYPE_MAX+1-PTYPE_PIECE_MIN + (PTYPE_MAX+1 - (PTYPE_BASIC_MIN+1)) }
Private Member Functions inherited from osl::rating::DropPtype
| DropPtype (Ptype p, bool d)
bool | match (Move m) const

## Detailed Description

Definition at line 124 of file square.h.

## Constructor & Destructor Documentation

## SquareX()

osl::rating::SquareX::SquareX | ( | int | ix,
|  | Ptype | ptype,
|  | bool | drop )

inline

Definition at line 129 of file square.h.

References osl::rating::DropPtype::drop, osl::rating::DropPtype::DropPtype(), osl::rating::Feature::Feature(), name(), osl::rating::DropPtype::ptype, and x.

## Member Function Documentation

## makeX()

int osl::rating::SquareX::makeX | ( | Move | move | ) |

inline static

Definition at line 131 of file square.h.

References osl::Move::to(), and osl::Square::x().

Referenced by osl::rating::SquareXGroup::findMatch(), and match().

## match()

bool osl::rating::SquareX::match | ( | const NumEffectState & | ,
|  | Move | move,
|  | const RatingEnv & | ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 138 of file square.h.

References makeX(), osl::rating::DropPtype::match(), and x.

## name()

const std::string osl::rating::SquareX::name | ( | int | x | ) |

static private

Definition at line 33 of file square.cc.

References x.

Referenced by SquareX().

## Member Data Documentation

## x

int osl::rating::SquareX::x

private

Definition at line 126 of file square.h.

Referenced by match(), name(), and SquareX().

The documentation for this class was generated from the following files:

- square.h
- square.cc